Bug 484903 - Error 404 when listing systems from a group
Error 404 when listing systems from a group
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Red Hat Satellite QA List
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-02-10 11:17 EST by Santi Saez
Modified: 2009-09-10 08:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:05:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Santi Saez 2009-02-10 11:17:23 EST
I get a "404 Error - File Not Found" when listing the systems that are in a group, using Spacewalk 0.4 on a CentOS 5.2:

# rpm -qa spacewalk spacewalk-java centos-release
spacewalk-java-0.4.16-1.el5
spacewalk-0.4.2-3.el5
centos-release-5-2.el5.centos

To reproduce the bug:

1) Systems

2) System Groups

3) Select a group

4) Click on "X systems" to list servers in the group.

It reports a "404 Error - File Not Found" error, Apache logs this error:

test - - [10/Feb/2009:16:59:36 +0100] "GET /network/systems/groups/system_list.pxt?sgid=22 HTTP/1.1" 404 4739

File "system_list.pxt" is available at:

# locate system_list.pxt
/var/www/html/network/software/packages/system_list.pxt
/var/www/html/network/software/packages/target_system_list.pxt
/var/www/html/network/systems/ssm/system_list.pxt
/var/www/html/network/systems/ssm/packages/remove_system_list.pxt
/var/www/html/network/systems/ssm/packages/verify_system_list.pxt
/var/www/html/network/systems/ssm/patches/remove_system_list.pxt

But is not in "/var/www/html/network/systems/groups/" directory:

# ls -1 /var/www/html/network/systems/groups/
admin_list.pxt
apply_errata_confirm.pxt
create.pxt
delete_confirm.pxt
details.pxt
edit_properties.pxt
errata_list.pxt
probe_list.pxt
systems_affected_by_errata.pxt

Using this "spacewalk-html" package:

# rpm -q --whatprovides /var/www/html/network/systems/groups/details.pxt 
spacewalk-html-0.4.18-1.el5
Comment 1 Santi Saez 2009-04-27 05:34:46 EDT
Spacewalk 0.5 has also this bug, info updated.
Comment 2 Miroslav Suchý 2009-09-10 08:05:20 EDT
Spacewalk 0.6 released

Note You need to log in before you can comment on or make changes to this bug.